libzypp 17.37.10

zyppng::GlibWaitPIDData Struct Reference

`#include <zypp-core/zyppng/base/private/eventdispatcher_glib_p.h>`

## Public Member Functions
| GlibWaitPIDData (GPid pid)
| GlibWaitPIDData (GlibWaitPIDData &&other) noexcept
| ~GlibWaitPIDData ()
GlibWaitPIDData & | operator= (GlibWaitPIDData &&other) noexcept

## Public Attributes
guint | tag = 0
GSource * | source = nullptr
EventDispatcher::WaitPidCallback | callback

## Detailed Description

Definition at line 62 of file eventdispatcher_glib_p.h.

## Constructor & Destructor Documentation

## ◆ GlibWaitPIDData() [1/2]

zyppng::GlibWaitPIDData::GlibWaitPIDData | ( | GPid | pid | ) |

Definition at line 245 of file eventdispatcher_glib.cc.

## ◆ GlibWaitPIDData() [2/2]

zyppng::GlibWaitPIDData::GlibWaitPIDData | ( | GlibWaitPIDData && | other | ) |
| noexcept

Definition at line 250 of file eventdispatcher_glib.cc.

## ◆ ~GlibWaitPIDData()

zyppng::GlibWaitPIDData::~GlibWaitPIDData | ( |  | ) |

Definition at line 258 of file eventdispatcher_glib.cc.

## Member Function Documentation

## ◆ operator=()

GlibWaitPIDData & zyppng::GlibWaitPIDData::operator= | ( | GlibWaitPIDData && | other | ) |
| noexcept

Definition at line 266 of file eventdispatcher_glib.cc.

## Member Data Documentation

## ◆ tag

guint zyppng::GlibWaitPIDData::tag = 0

Definition at line 70 of file eventdispatcher_glib_p.h.

## ◆ source

GSource* zyppng::GlibWaitPIDData::source = nullptr

Definition at line 71 of file eventdispatcher_glib_p.h.

## ◆ callback

EventDispatcher::WaitPidCallback zyppng::GlibWaitPIDData::callback

Definition at line 72 of file eventdispatcher_glib_p.h.

The documentation for this struct was generated from the following files:

- zypp-core/zyppng/base/private/eventdispatcher_glib_p.h
- zypp-core/zyppng/base/eventdispatcher_glib.cc